worker_processes 1;

events { worker_connections 1024; }

http {

    sendfile on;

    upstream docker-xnat {
        server xnat:8080;
    }
    server {
        listen 80;
        
        server_name  test.example.com;
        
        location / {
            proxy_pass         http://docker-xnat;
            proxy_redirect     off;
            proxy_set_header   Host $host;
            proxy_set_header   X-Real-IP $remote_addr;
            proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
            proxy_set_header   X-Forwarded-Host $server_name;

            proxy_connect_timeout 900;
            proxy_send_timeout 900;
            proxy_read_timeout 900;
            proxy_buffers 4 32k;
            client_max_body_size 0;
            client_body_buffer_size 128k;
        }
    }

}
